Package org.apache.sysds.resource.enumeration

# Class Enumerator.Builder

java.lang.Object
org.apache.sysds.resource.enumeration.Enumerator.Builder

Enclosing class:
  Enumerator

public static class Enumerator.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`Enumerator`
`build()`
`Enumerator.Builder`
`withAvailableInstances(HashMap<String,CloudInstance> instances)`
`Enumerator.Builder`
`withEnumerationStrategy(Enumerator.EnumerationStrategy strategy)`
`Enumerator.Builder`
`withExpBaseExecutors(int expBaseExecutors)`
`Enumerator.Builder`
`withInstanceFamilyRange(String[] instanceFamilies)`
`Enumerator.Builder`
`withInstanceSizeRange(String[] instanceSizes)`
`Enumerator.Builder`
`withInterestBroadcastVars(boolean fitExecutorMemory)`
`Enumerator.Builder`
`withInterestEstimatesInCP(boolean fitDriverMemory)`
`Enumerator.Builder`
`withInterestLargestEstimate(boolean fitSingleNodeMemory)`
`Enumerator.Builder`
`withInterestOutputCaching(boolean fitCheckpointMemory)`
`Enumerator.Builder`
`withNumberExecutorsRange(int min, int max)`
`Enumerator.Builder`
`withOptimizationStrategy(Enumerator.OptimizationStrategy strategy)`
`Enumerator.Builder`
`withRuntimeProgram(Program program)`
`Enumerator.Builder`
`withStepSizeExecutor(int stepSize)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### withRuntimeProgram

public Enumerator.Builder withRuntimeProgram(Program program)

### withAvailableInstances

public Enumerator.Builder withAvailableInstances(HashMap<String,CloudInstance> instances)

### withEnumerationStrategy

public Enumerator.Builder withEnumerationStrategy(Enumerator.EnumerationStrategy strategy)

### withOptimizationStrategy

public Enumerator.Builder withOptimizationStrategy(Enumerator.OptimizationStrategy strategy)

### withNumberExecutorsRange

public Enumerator.Builder withNumberExecutorsRange(int min, int max)

### withInstanceFamilyRange

public Enumerator.Builder withInstanceFamilyRange(String[] instanceFamilies)

### withInstanceSizeRange

public Enumerator.Builder withInstanceSizeRange(String[] instanceSizes)

### withStepSizeExecutor

public Enumerator.Builder withStepSizeExecutor(int stepSize)

### withInterestLargestEstimate

public Enumerator.Builder withInterestLargestEstimate(boolean fitSingleNodeMemory)

### withInterestEstimatesInCP

public Enumerator.Builder withInterestEstimatesInCP(boolean fitDriverMemory)

### withInterestBroadcastVars

public Enumerator.Builder withInterestBroadcastVars(boolean fitExecutorMemory)

### withInterestOutputCaching

public Enumerator.Builder withInterestOutputCaching(boolean fitCheckpointMemory)

### withExpBaseExecutors

public Enumerator.Builder withExpBaseExecutors(int expBaseExecutors)

### build

public Enumerator build()